cabal-install-solver-3.12.1.0: The command-line interface for Cabal and Hackage.

Safe Haskell | None
Language | Haskell2010

Distribution.Solver.Modular.Assignment

Synopsis

- data Assignment = A PAssignment FAssignment SAssignment
- type PAssignment = Map QPN I
- type FAssignment = Map QFN Bool
- type SAssignment = Map QSN Bool
- toCPs :: Assignment -> RevDepMap -> [CP QPN]

# Documentation

data Assignment Source #

A (partial) assignment of variables.

Constructors

A PAssignment FAssignment SAssignment |

#### Instances

Instances details

Show Assignment Source # |
Instance details Defined in Distribution.Solver.Modular.Assignment Methods showsPrec :: Int -> Assignment -> ShowS Source # show :: Assignment -> String Source # showList :: [Assignment] -> ShowS Source #
Eq Assignment Source # |
Instance details Defined in Distribution.Solver.Modular.Assignment Methods (==) :: Assignment -> Assignment -> Bool Source # (/=) :: Assignment -> Assignment -> Bool Source #

type PAssignment = Map QPN I Source #

A (partial) package assignment. Qualified package names are associated with instances.

type FAssignment = Map QFN Bool Source #

type SAssignment = Map QSN Bool Source #

toCPs :: Assignment -> RevDepMap -> [CP QPN] Source #

Delivers an ordered list of fully configured packages.

TODO: This function is (sort of) ok. However, there's an open bug w.r.t. unqualification. There might be several different instances of one package version chosen by the solver, which will lead to clashes.